Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class DisplayMode

    java.lang.Object
      java.awt.DisplayMode

public final class DisplayMode
extends Object

The `DisplayMode` class encapsulates the bit depth, height, width, and refresh rate of a `GraphicsDevice`. Display modes are hardware-dependent and may not always be available.

Since:
  1.4
See Also:
  `GraphicsDevice`

Field Summary
`static int` | `BIT_DEPTH_MULTI` Value of the bit depth if multiple bit depths are supported in this dislay mode.
`static int` | `REFRESH_RATE_UNKNOWN` Value of the refresh rate if not known

Constructor Summary
`DisplayMode(int width, int height, int bitDepth, int refreshRate)` Create a new display mode object with the supplied parameters.

Method Summary
`boolean` | `equals(DisplayMode dm)`
`int` | `getBitDepth()`
`int` | `getHeight()`
`int` | `getRefreshRate()`
`int` | `getWidth()`
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BIT_DEPTH_MULTI

    public static final int BIT_DEPTH_MULTI

  Value of the bit depth if multiple bit depths are supported in this dislay mode.

  See Also:
    `getBitDepth()`, Constant Field Values

### REFRESH_RATE_UNKNOWN

    public static final int REFRESH_RATE_UNKNOWN

  Value of the refresh rate if not known

  See Also:
    `getRefreshRate()`, Constant Field Values

Constructor Detail

### DisplayMode

    public DisplayMode(int width,
                       int height,
                       int bitDepth,
                       int refreshRate)

  Create a new display mode object with the supplied parameters.

Parameters:
  `width` - the width of the display, in pixels
  `height` - the height of the display, in pixels
  `bitDepth` - the bit depth of the display, in bits per pixel. This can be `BIT_DEPTH_MULTI` if multiple bit depths are available.
  `refreshRate` - the refresh rate of the display, in hertz. This can be `REFRESH_RATE_UNKNOWN` if the information is not available.
See Also:
  `BIT_DEPTH_MULTI`, `REFRESH_RATE_UNKNOWN`

Method Detail

### getHeight

    public int getHeight()

  Returns:
    the height of the display, in pixels

### getWidth

    public int getWidth()

  Returns:
    the width of the display, in pixels

### getBitDepth

    public int getBitDepth()

  Returns:
    the bit depth of the display, in bits per pixel. This may be `BIT_DEPTH_MULTI` if multiple bit depths are supported in this display mode.
  See Also:
    `BIT_DEPTH_MULTI`

### getRefreshRate

    public int getRefreshRate()

  Returns:
    the refresh rate of the display, in hertz. This may be `REFRESH_RATE_UNKNOWN` if the information is not available.
  See Also:
    `REFRESH_RATE_UNKNOWN`

### equals

    public boolean equals(DisplayMode dm)

  Returns:
    whether the two display modes are equal

### hashCode

    public int hashCode()

  Description copied from class: `Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.